body {
    margin: 0;
    width: 100vw;
    height: 100vh;
    overflow: hidden;
}

.base-container {
    display: flex;
    justify-content: flex-start;
    height: 100%;
    width: 100vw;
    margin: 0;
    padding: 0;
}

nav {
    width: 20vw;
    margin: auto;
    height: 100%;
    background: transparent linear-gradient(180deg, #FFFFFF 0%, #008C89 100%) 0% 0% no-repeat padding-box;
    border: 1px solid #707070;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
}


main {
    display: flex;
    flex-direction: column;
    height: 100vh;
    width: 80vw;
    background: transparent linear-gradient(180deg, #FFFFFF 0%, #D9D9D9 100%) 0% 0% no-repeat padding-box;
}

nav > img {
    width: 60%;
    margin: 2em auto;
}

a {
    text-decoration: none;
    display: inline-block;
    line-height: 2em;
    width: 100%;
}

li i {
    font-size: 1.5em;
    width: 100%;
    height: 10%;
}

.button {
    border: 1px solid #707070;
    border-radius: 1em;
    margin-left: 1em;
    text-align: center;
    letter-spacing: 0.7px;
    color: #484848;
    padding: 0.2em;
    width: 60%;
}


ul {
    list-style-type: none;
    color: black;
    font: normal normal normal 20px/28px Segoe UI;
    letter-spacing: 0px;
    height: 100%;
    margin: 0 auto;
    padding: 0;
    width: calc(100% - 40px);
    position: relative;
    font-size: 2vh;
    line-height: 1em;

}

li {
    text-align: center;
    margin-bottom: 1em;
}

li:last-child {
    position: absolute;
    bottom: 2px;
    width: 100%;
}

.fa, .fas, .far {
    width: 1vw;
    justify-content: center;
}

header {
    display: flex;
    vertical-align: center;
    border-bottom: 1px solid gray;
    height: 8%;
    width: 100%;
    margin: 0;
    font: normal normal normal 2vh Segoe UI;
    justify-content: center;

}

.log-out {
    background: #FFFFFF 0% 0% no-repeat padding-box;
    border: 1px solid #707070;
    border-radius: 1.5em;
    color: #484848;
    width: 10%;
    height: 5vh;
    letter-spacing: 0px;
    margin: auto 10px;
    display: flex;
    flex-direction: row;
    align-items: center;
    text-align: center;
}

.exit {
    letter-spacing: 0px;
    color: #484848;
    width: 100%;
}

.log-out > i {
    padding: 0.6em;
    width: 30%;
}

.search-bar {
    width: 60%;
    height: 5vh;
    margin: auto 10px;
}

.search-bar > form {
    height: 100%;
    margin: 0;
}


.search-bar > input {
    background: #FFFFFF 0% 0% no-repeat padding-box;
    border: 1px solid #707070;
    border-radius: 1.5em;
    width: 100%;
    height: 100%;
    text-align: center;
    color: gray;
    margin: 0;
    box-sizing: border-box;
    font-size: 2vh;
}

@media only screen and (max-device-width: 420px) {

    .base-container {
        flex-direction: column;
        background: transparent linear-gradient(180deg, #FFFFFF 0%, #7CA7A5 100%) 0% 0% no-repeat padding-box;
    }

    nav > img {

        width: 15%;
        margin: 1em;
    }

    nav {
        flex-direction: row;
        width: 100%;
        height: 10vh;
        background: none;
        border: none;
        justify-content: center;
        vertical-align: center;
        font-size: 36px;
    }

    main {
        background: none;
        height: 90vh;
        width: 100%;
    }

    a {
        display: none;
    }

    .button {
        display: none;
    }

    ul {
        display: flex;
        flex-direction: row;
        align-items: center;
        height: 100%;
        margin: 1em;

        width: 100%;
    }

    li {
        text-align: left;
        margin-bottom: auto;
        padding: 1em;
        letter-spacing: 0;
    }

    li:last-child {
        position: relative;
    }

    .log-out {
        position: absolute;
        top: 1em;
        right: 0;
        padding: 0;
        font-size: 36px;
        background: none;
        border: none;
        color: #484848;
        text-align: center;
        width: 10%;
        letter-spacing: 0px;
    }

    .log-out > i {
        font-size: 36px;
    }

    .exit {
        display: none;
    }

    .search-bar {
        width: 90%;
        justify-content: center;
    }

    header {
        border-bottom: none;
        padding: 0;
        width: 100vw;
    }
}